#sidebar {
  padding-left: 0;
  padding-right: 0;
  /*position: sticky;*/
  position: fixed;
  /*position: relative;*/
  top: 0;
  left: 0;
  height: 100%;
  overflow-y: auto;
  width: 260px;
  background: var(--sidebar-bg);
  border-right: 1px solid var(--sidebar-border-color);
  -ms-overflow-style: none;
  scrollbar-width: none;

  ul {
	  margin-bottom: 2rem;
	  /*list-style: none;*/

	  li.nav-item {
		  opacity: .9;
		  width: 100%;
		  padding-left: 1.5rem;
		  padding-right: 1.5rem;

		  a.nav-link {
			  padding-top: .6rem;
			  padding-bottom: .6rem;
			  display: flex;
			  align-items: center;
			  border-radius: .75rem;
			  font-weight: 600;
		  }


	     }

	     li.nav-item:not(:first-child) {
		     margin-top: .25rem;
	     }

	     li.nav-item.active {
		     .nav-link {
			color: var(--sidebar-active-color);
			background-color: var(--sidebar-hover-bg);
		}
	}
}

  }



@media (min-width: 850px) {
#sidebar .profile-wrapper {
	margin-top: 3rem;
}
}

#sidebar .profile-wrapper {
	margin-top: 2.5rem;
	margin-bottom: 2.5rem;
	padding-left: 2.5rem;
	padding-right: 1.25rem;
	width: 100%;
}

.align-items-end {
	/*align-items: center; [> flex-end !important; <]*/
	flex-end !important; 
}

.align-items-center { 
	align-items: center !important;
}

.flex-column {
	flex-direction: column !important;
}
.d-flex {
	display: flex !important;
}

#author__avatar { 
	border-radius: 50% !important;
}

img {
	max-width: 100%;
	height: auto
	vertical-align: middle;
}

@media (min-width: 576px) {
	#sidebar #author__avatar {
		width: 7rem;
		height: 7rem;
	}
}

.nav {
	--bs-nav-link-padding-x: 1rem;
	--bs-nav-link-padding-y: 0.5rem;
	--bs-nav-link-font-weight: ;
	--bs-nav-link-color: var(--bs-link-color);
	--bs-nav-link-hover-color: var(--bs-link-hover-color);
	--bs-nav-link-disabled-color: var(--bs-secondary-color);
	display: flex; 
	/*position: fixed;*/
	flex-wrap: wrap; 
	padding-left: 0; 
	margin-bottom: 0; 
	list-style: none;
	align-items: center
}


.nav-link {
	display: block;
	padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);
	font-size: var(--bs-nav-link-font-size);
	font-weight: var(--bs-nav-link-font-weight);
	color: var(--bs-nav-link-color);
	text-decoration: none;
	background: 0 0;
	border: 0;
	transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

@media (max-width: calc(849px)) {
	#topbar {
		max-width: 100%;
	}
}

@media (min-width: 850px) and (max-width: calc(1199px)) 
{
#topbar #breadcrumb {
	width: 65%;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: keep-all;
	white-space: nowrap;
}
}

#topbar #breadcrumb span:not(:last-child)::after {
	content: "›";
	padding: 0 .3rem;
}

@media (max-width: calc(849px)) {
	#topbar #breadcrumb {
		display: none;
	}
}

/*.breadcrumb {*/
	/*padding: 0 0.5rem;*/
/*}*/

#breadcrumb ul {
	display: flex;
	flex-wrap: wrap;
	list-style: none;
	margin: 0;
	padding: 0;
	align-items: end;
}
#topbar #breadcrumb li:not(:last-child)::after {
	content: "›";
	padding: 0 .3rem;
  display: inline-block;
  /*margin: 0 0.25rem;
  content: ">";*/
} 

#topbar #breadcrumb {
	font-size: 1rem;
	color: var(--text-muted-color);
	padding-left: .5rem;
}

@media (min-width: 850px){
	#main-wrapper {
	margin-left: 260px;
}
}

@media (max-width: calc(849px)) {
	#main-wrapper {
		transition: transform .4s ease;
	}
}

@media (max-width: calc(849px)) {
[sidebar-display] #main-wrapper {
	transform: translateX(260px);
}
}

#main-wrapper {
	position: relative;
	padding-left: 0;
	padding-right: 0;
}

#main-wrapper > .container {
	min-height: 100vh;
}

@media (min-width: 850px) {
  main h1 {
    margin-top: 3rem;
  }
}

.justify-content-center { 
	justify-content: center !important;
}

.justify-content-between {
	justify-content: space-between !important;
}


.flex-grow-1 { 
	flex-grow: 1 !important;
}

.ps-0 {
	padding-left: 0 !important
}

.px-1 {
	padding-right: .25rem !important;
	padding-left: .25rem !important;
}

.w-100 {
	width: 100% !important;
}

.h-100 {
	height: 100% !important;
}

*, ::after, ::before {
	box-sizing: border-box;
}

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
	--bs-gutter-x: 1.5rem;
	--bs-gutter-y: 0;
	width: 100%;
	padding-right: calc(var(--bs-gutter-x) * .5);
	padding-left: calc(var(--bs-gutter-x) * .5);
	margin-right: auto;
	margin-left: auto;
}

@media (min-wdith: 576px) {
.container, .container-md, .container-sm {
	max-width: 720px;
}
}

:is(.fas, .far, .fab, .fa-solid, .fa-regular, .fa-brands, .fa-classic, .fa)::before {
	content: var(--fa)/"";
}

body {
	background: var(--main-bg);
	padding: env(safe-area-inset-top) env(safe-area-inset-right) env(safe-area-inset-bottom) env(safe-area-inset-left);
	color: var(--text-color);
	-webkit-font-smoothing: antialiased;
	font-family: "Source Sans Pro","Microsoft Yahei",sans-serif;
}

html:not([data-mode]), html[data-mode="dark"] {
	color-scheme: dark;
	--main-bg: rgb(27 27 30);
	--mask-bg: rgb(68 69 70);
	--main-border-color: rgb(44 45 45);
	--text-color: rgb(175 176 177);
	--text-muted-color: #868686;
	--text-muted-highlight-color: #aeaeae;
	--heading-color: #cccccc;
	--label-color: #a7a7a7;
	--blockquote-border-color: rgb(66 66 66);
	--blockquote-text-color: #868686;
	--link-color: rgb(138 180 248);
	--link-underline-color: rgb(82 108 150);
	--button-bg: #1e1e1e;
	--btn-border-color: #2e2f31;
	--btn-backtotop-color: var(--text-color);
	--btn-backtotop-border-color: #212122;
	--card-header-bg: #292929;
	--checkbox-color: rgb(118 120 121);
	--checkbox-checked-color: var(--link-color);
	--img-bg: radial-gradient(circle, rgb(22 22 24) 0%, rgb(32 32 32) 100%);
	--shimmer-bg: linear-gradient( 90deg, rgb(255 255 255 / 0%) 0%, rgb(58 55 55 / 40%) 50%, rgb(255 255 255 / 0%) 100% );
	--site-title-color: #717070;
	--site-subtitle-color: #868686;
	--sidebar-bg: #1e1e1e;
	--sidebar-border-color: #292929;
	--sidebar-muted-color: #868686;
	--sidebar-active-color: rgb(255 255 255 / 95%);
	--sidebar-hover-bg: #262626;
	--sidebar-btn-bg: #232328;
	--sidebar-btn-color: #787878;
	--avatar-border-color: rgb(206 206 206 / 90%);
	--topbar-bg: rgb(27 27 30 / 64%);
	--topbar-text-color: var(--text-color);
	--search-border-color: rgb(55 55 55);
	--search-icon-color: rgb(100 102 105);
	--input-focus-border-color: rgb(112 114 115);
	--post-list-text-color: rgb(175 176 177);
	--btn-patinator-text-color: var(--text-color);
	--btn-paginator-hover-color: #2e2e2e;
	--toc-highlight: rgb(116 178 243);
	--toc-popup-border-color: #373737;
	--tag-hover: rgb(43 56 62);
	--tb-odd-bg: #252526;
	--tb-even-bg: rgb(31 31 34);
	--tb-border-color: var(--tb-odd-bg);
	--footnote-target-bg: rgb(63 81 181);
	--btn-share-color: #6c757d;
	--btn-share-hover-color: #bfc1ca;
	--card-bg: #1e1e1e;
	--card-hover-bg: #464d51;
	--card-shadow: rgb(21 21 21 / 72%) 0 6px 18px 0, rgb(137 135 135 / 24%) 0 0 0 1px;
	--kbd-wrap-color: #6a6a6a;
	--kbd-text-color: #d3d3d3;
	--kbd-bg-color: #242424;
	--prompt-text-color: rgb(216 212 212 / 75%);
	--prompt-tip-bg: rgb(22 60 36 / 64%);
	--prompt-tip-icon-color: rgb(15 164 15 / 81%);
	--prompt-info-bg: rgb(7 59 104 / 80%);
	--prompt-info-icon-color: #0075d1;
	--prompt-warning-bg: rgb(90 69 3 / 88%);
	--prompt-warning-icon-color: rgb(255 165 0 / 80%);
	--prompt-danger-bg: rgb(86 28 8 / 80%);
	--prompt-danger-icon-color: #cd0202;
	--tag-border: rgb(59 79 88);
	--tag-shadow: rgb(32 33 33);
	--dash-color: rgb(63 65 68);
	--search-tag-bg: #292828;
	--categories-border: rgb(64 66 69 / 50%);
	--categories-hover-bg: rgb(73 75 76);
	--categories-icon-hover-color: white;
	--timeline-node-bg: rgb(150 152 156);
	--timeline-color: rgb(63 65 68);
	--timeline-year-dot-color: var(--timeline-color);
	--language-border-color: #2d2d2d;
	--highlight-bg-color: #151515;
	--highlighter-rouge-color: #c9def1;
	--highlight-lineno-color: #808080;
	--inline-code-bg: rgb(255 255 255 / 5%);
	--code-color: #b0b0b0;
	--code-header-text-color: #6a6a6a;
	--code-header-muted-color: #353535;
	--code-header-icon-color: #565656;
	--clipboard-checked-color: #2bcc2b;
	--filepath-text-color: #cacaca;
}

a {
	color: rgba(var(--bs-link-color-rgb),var(--bs-link-opacity,1));
	text-decoration: underline;
}

@media (min-width: 850px) {
#back-to-top {
	right: 5%;
	bottom: 3.625rem;
}
}

#back-to-top {
	visibility: hidden;
	opacity: 0;
	z-index: 1;
	cursor: pointer;
	position: fixed;
	right: 1rem;
	bottom: 4.625rem;
	background: var(--button-bg);
	color: var(--btn-backtotop-color);
	padding: 0;
	width: 2.75rem;
	height: 2.75rem;
	border-radius: 50%;
	border: 1px solid var(--btn-backtotop-border-color);
	transition: opacity .5s ease-in-out,transform .2s ease-out;
}

#sidebar-trigger, #search-trigger {
	display: none;
}

@media (max-width: calc(849px)) {
#sidebar-trigger, #search-trigger {
	display: block;
}

@media (max-width: calc(849px)) {
  #sidebar {
    transition: transform .4s ease;
    transform: translateX(-260px);
    -webkit-transform: translateX(-260px);
  }
}
}

@media (max-width: calc(849px)) {
[sidebar-display] #sidebar {
	transform: translateX(0);
}
}


#mask {
	inset: 0 0 0 0;
}

.d-none {
	display: none  !important;
}

.position-fixed {
	position: fixed !important;
}

.z-1 {
	z-index: 1 !important;
}

.z-2 {
	z-index: 2 !important;
}

.fa-bars, .fa-navicon {
	--fa: "\f0c9";
}

.fa-fw, .fa-width-fixed {
	--fa-width: 1.25em
}
